# DOMStringList Class Reference

The `DOMStringList` interface provides the abstraction of an ordered collection of strings, without defining or constraining how this collection is implemented. More...

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMStringList ()
| Destructor.
Functions introduced in DOM Level 3
virtual const XMLCh * | item (XMLSize_t index) const =0
| Returns the `index` item in the collection.
virtual XMLSize_t | getLength () const =0
| Returns the number of strings in the list.
virtual bool | contains (const XMLCh *) const =0
| Test if a string is part of this DOMStringList.
Non-standard Extension
virtual void | release ()=0
| Called to indicate that this list is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

## Protected Member Functions

Hidden constructors
| DOMStringList ()

## Detailed Description

The `DOMStringList` interface provides the abstraction of an ordered collection of strings, without defining or constraining how this collection is implemented.

The items in the `DOMStringList` are accessible via an integral index, starting from 0.

## Constructor & Destructor Documentation

DOMStringList::DOMStringList | ( |  | ) | `[protected]`

virtual DOMStringList::~DOMStringList | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const XMLCh* DOMStringList::item | ( | XMLSize_t | index | ) | const`[pure virtual]`

Returns the `index` item in the collection.

If `index` is greater than or equal to the number of strings in the list, this returns `null`.

Parameters:

  | index | Index into the collection.

Returns:
  The string at the `index`th position in the `DOMStringList`, or `null` if that is not a valid index.

Since:
  DOM Level 3

virtual XMLSize_t DOMStringList::getLength | ( |  | ) | const`[pure virtual]`

Returns the number of strings in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Since:
  DOM Level 3

virtual bool DOMStringList::contains | ( | const XMLCh * |  | ) | const`[pure virtual]`

Test if a string is part of this DOMStringList.

Returns:
  `true` if the string has been found, `false` otherwise.

Since:
  DOM Level 3

virtual void DOMStringList::release | ( |  | ) | `[pure virtual]`

Called to indicate that this list is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

Access to a released object will lead to unexpected result.

The documentation for this class was generated from the following file:

- DOMStringList.hpp